/*******************************************************
*
Theme Name:     FPGA - Interface
Theme URI:      
Description:    
Version:        2.0
Author:         Joachim Reif
License:        none (public domain)
Tags:           Look of the FPGA Login-Window
*
*******************************************************/

/*******************************************************
*
Directory
1. CSS-Reset
2. Colors
3. Basic class styles
4. Windowlayout
5. Login-Button
*
*******************************************************/

/* 1. CSS-Reset */
html {
    box-sizing: border-box;
}

*, *::before, *::after{
    box-sizing: inherit;
    margin: 0;
    padding: 0;
}

/* 2. Colors */
:root {
    --rwth-blue: rgb(0, 100, 239);
    --border-color: rgb(0, 0, 0);
    --screen-background: rgb(189, 189, 189);
    --screen-shadow: rgb(132, 132, 132)
}

/* 3. Basic class styles */

/* 4. Windowlayout */
body {
    height: 100vh;
    width: 100vw;
}

@media screen and (min-height: 30.25em){
    header {
        height: 63px;
        font-size: 12pt;
    }

    h1 {
        margin-left: 5px;
        padding-top: 10px;
    }

    main {
        height: calc(100vh - 63px);
    }
}

@media screen and (max-height: 30.25em){
    header {
        height: 13vh;
        /* font-size: 4vh; */
        padding-top: 3vh;
    }
    
    h1 {
        margin-left: 5px;
        font-size: 7vh;
    }
    
    main {
        height: 87vh;
    }
}

header {
    background-color: var(--rwth-blue);
    border-bottom: var(--border-color) 2px solid;
    color: #FFF;
}

main {
    background-color: var(--screen-background);
    text-align: center;
}

#login_window {
    background-color:var(--rwth-blue);

    width: 400px;
    height: 270px;
    
    position:absolute;
    left: 50%;
    top: 50%;

    margin-top: -135px;
    margin-left: -200px;

    box-shadow:12px 12px 3px var(--screen-shadow);
}

#login_window > h2{
    margin-top: 30px;
    font-size: 25pt;
}

p * {
    margin-top: 30px;
    font-size: 15pt;

    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
}

/* 5. Login-Button */
#bt_login {
    width: 150px;
    margin-top: 30px;
    font-size: 15pt;
    font-weight: bold;

    background-color: #FFF;
    border: var(--border-color) 3px solid;
    border-radius: 4px;
}

#bt_login:hover {
    background-color: var(--screen-background);
}